Loading...
Searching...
No Matches
buttonEvent.h File Reference
`#include <BALL/VIEW/KERNEL/common.h>`
`#include <BALL/VIEW/INPUT/deviceEvent.h>`
`#include <QtCore/QEvent>`

Go to the source code of this file.

## Classes

class | BALL::VIEW::ButtonEvent

## Namespaces

namespace | BALL
namespace | BALL::VIEW

## Typedefs

typedef QFlags< InputDeviceButton > | BALL::VIEW::InputDeviceButtons

## Enumerations

enum

BALL::VIEW::InputDeviceButton {
BALL::VIEW::BUTTON1 = 1 << 0 , BALL::VIEW::BUTTON2 = 1 << 1 , BALL::VIEW::BUTTON3 = 1 << 2 , BALL::VIEW::BUTTON4 = 1 << 3 ,
BALL::VIEW::BUTTON5 = 1 << 4 , BALL::VIEW::BUTTON6 = 1 << 5 , BALL::VIEW::BUTTON7 = 1 << 6 , BALL::VIEW::BUTTON8 = 1 << 7 ,
BALL::VIEW::BUTTON9 = 1 << 8 , BALL::VIEW::BUTTON10 = 1 << 9 , BALL::VIEW::BUTTON11 = 1 << 10 , BALL::VIEW::BUTTON12 = 1 << 11
}